<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateRomanahGokbakjaProductionMachine14 extends Migration
{
    public function up()
    {
        Schema::table('romanah_gokbakja_production_machine', function($table)
        {
            $table->dropColumn('employee_id');
            $table->dropColumn('mechanic_id');
            $table->dropColumn('gram');
            $table->dropColumn('brutto_kg');
        });
    }
    
    public function down()
    {
        Schema::table('romanah_gokbakja_production_machine', function($table)
        {
            $table->integer('employee_id')->nullable();
            $table->integer('mechanic_id')->nullable();
            $table->double('gram', 10, 0)->nullable()->default(0);
            $table->double('brutto_kg', 10, 0);
        });
    }
}
